player_imu_datatype_config Struct Reference

Request/reply: change the data type to one of the predefined data structures. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | value
| Data type setting: 1 for pose/orientation, 2 for calibrated (raw) data, 3 for quaternions, 4 for Euler.

## Detailed Description

Request/reply: change the data type to one of the predefined data structures.

Send a PLAYER_IMU_REQ_SET_DATATYPE request to switch between calibrated data, 3D pose and orientation, Euler orientation or Quaternions orientation in the data packet. Null response.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45